/* WHY ELEVATE SECTION */

.why-elevate{
    padding: 120px 0 190px;
}
.why-elevate-container{
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    box-sizing: content-box;
}
.why-elevate-title{
    font-family: Poppins;
    font-weight: 400;
    font-size: 52px;
    line-height: 130%;
    text-align: center;
    color: #000;
}
.why-elevate-subtitle{
    font-family: Poppins;
    font-weight: 400;
    font-size: 18px;
    line-height: 160%;
    text-align: center;
    max-width: 650px;
    color: #000;
    margin-top: 5px;
}
.why-elevate-blocks{
    display: flex;
    gap: 32px;
    padding: 30px 0 20px;
}
.why-elevate-block{
    width: 100%;
    max-width: 296px;
    height: 100%;
    min-height: 520px;
    border-radius: 24px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: background-color 0.3s ease, color 0.3s ease;
}
.why-elevate-block:hover{
    background-color: var(--lightblue) !important;
    color: #000 !important;
}
.web-top{
    display: flex;
    justify-content: space-between;
    padding: 30px 24px 24px;
}
.webt-number{
    font-family: Poppins;
    font-weight: 400;
    font-size: 44px;
    line-height: 52px;
    vertical-align: middle;
    text-transform: uppercase;
    transition: color 0.3s ease;
}
.why-elevate-block:hover .webt-number{
    color: #000 !important;
}
.webt-icon{
    border: 2px solid;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 52px;
    height: 52px;
    transition: color 0.3s ease;
}
.why-elevate-block:hover .webt-icon,
.why-elevate-block:hover .webb-title{
    color: #000 !important;
}


.webt-icon svg{
    transform: rotate(0deg);
    transition: transform 0.3s ease;
}
.why-elevate-block:hover .webt-icon svg{
    transform: rotate(45deg);
}

.web-bottom{
    padding: 0 24px 30px;
}
.webb-title{
    font-family: Poppins;
    font-weight: 400;
    font-size: 36px;
    line-height: 130%;
    vertical-align: middle;
    transition: color 0.3s ease;
}
.webb-text{
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease, opacity 0.5s ease, margin-top 0.5s ease;
    opacity: 0;
    font-family: Poppins;
    font-weight: 400;
    font-size: 18px;
    line-height: 160%;
    letter-spacing: 0%;
    vertical-align: middle;
}
.why-elevate-block:hover .webb-text{
    max-height: 220px;
    opacity: 1;
    margin-top: 10px;
}

@media (max-width: 1439px){
    .why-elevate-block {
        max-width: 254px;
        min-height: 480px;
    }

    .webb-title {
        font-size: 30px;
    }

    .why-elevate-block:hover .webb-text {
        overflow-y: auto;
    }
}

@media (max-width: 1279px){
    .why-elevate-blocks {
        display: grid;
        grid-template-columns: 1fr 1fr;
        padding: 30px 28px 20px;
    }

    .webt-icon {
        display: none;
    }

    .why-elevate-block {
        max-width: none;
        min-height: 370px;
        pointer-events: none;
    }

    .why-elevate-title {
        font-size: 42px;
    }

    .webb-text {
        max-height: unset;
        opacity: 1;
        font-size: 16px;
    }

    .why-elevate-block:not(:first-child) .webb-text {
        color: #fff;
    }

    .why-elevate-block:first-child .webb-text {
        font-size: 18px;
    }

    .webb-title {
        font-size: 36px;
        margin-bottom: 17px;
    }

    .webb-title span{
        display: block;
    }
}

@media (max-width: 1023px){
    .why-elevate-blocks {
        gap: 24px;
        padding: 30px 22px 20px;
    }
    .why-elevate-block {
        border-radius: 16px;
        min-height: 410px;
    }
    .web-top {
        padding: 30px 24px 20px;
    }
    .webb-title {
        font-size: 34px;
    }
    .webb-title span {
        display: inline;
    }
}

@media (max-width: 767px){
    .why-elevate-block:nth-child(1) .webb-title,
    .why-elevate-block:nth-child(2) .webb-title {
        max-width: 280px;
    }

    .why-elevate-container {
        padding: 0 24px;
    }

    .web-bottom {
        padding: 0 24px 23px;
    }

    .why-elevate-subtitle {
        max-width: unset;
    }

    .why-elevate-subtitle br {
        display: none;
    }

    .why-elevate {
        padding: 80px 0 130px;
    }

    .why-elevate-block:not(:first-child) .webb-text {
        color: #fff;
    }

    .why-elevate-blocks {
        grid-template-columns: 1fr;
        gap: 16px;
        margin-top: 30px;
        padding: 0 0 20px;
    }
    .web-top {
        padding: 24px 24px 18px;
    }
    .why-elevate-block {
        min-height: unset;
    }
    .webt-number {
        font-size: 34px;
    }

    .webb-title {
        font-size: 30px;
        line-height: 130%;
    }

    .why-elevate-block:nth-child(1) .webb-title{
        max-width: 260px;
    }

    .why-elevate-block .webb-text {
        max-height: 220px;
        opacity: 1;
        font-size: 16px !important;
    }
}